org.apache.xmlbeans.impl.xb.xsdschema

## Interface ImportDocument

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    ImportDocumentImpl

      public interface ImportDocument
      extends XmlObject

  A document containing one import(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ImportDocument.Import` An XML import(@http://www.w3.org/2001/XMLSchema).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<ImportDocument>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImportDocument.Import` | `addNewImport()` Appends and returns a new empty "import" element
    `ImportDocument.Import` | `getImport()` Gets the "import" element
    `void` | `setImport(ImportDocument.Import ximport)` Sets the "import" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<ImportDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getImport

          ImportDocument.Import getImport()

      Gets the "import" element

    - #### setImport

          void setImport(ImportDocument.Import ximport)

      Sets the "import" element

    - #### addNewImport

          ImportDocument.Import addNewImport()

      Appends and returns a new empty "import" element